//                                                                  
// Copyright  2008-2009 Lidor Systems.
// All Rights Reserved.
//
// This file is part of the "IntegralUI Lists" class Library. 
//                                                                   
// The contents of this file are subject to the IntegralUI ListBox
// License, and may not be used except in compliance with the License.
// A copy of the License should have been installed in the product's
// root installation directory or it can be found at
// http://www.lidorsystems.com/products/IntegralUI/agreement_listbox.aspx.
//                                                             
// This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND.
// either express or implied. See the License for the specific language 
// governing rights and limitations under the License.                        
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace IULBCatalog
{
    public partial class ProductForm : Form
    {
        private ProductObject _product = null;
        internal ProductObject Product
        {
            get { return _product; }
        }

        public ProductForm()
        {
            InitializeComponent();
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            _product = new ProductObject();
            _product.Name = productName.Text;
            if (!String.IsNullOrEmpty(productImage.Text))
                _product.ImageFile = productImage.Text;
            if (!String.Equals(oldPrice.Text, "0000")) 
                _product.OldPrice = Convert.ToDouble(oldPrice.Text);
            if (!String.Equals(newPrice.Text, "0000")) 
                _product.CurrentPrice = Convert.ToDouble(newPrice.Text);
            _product.Rating = Convert.ToInt32(rating.Value);
            _product.Info = productInfo.Text;

            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        private void btnBrowse_Click(object sender, EventArgs e)
        {
            productImage.Text = String.Empty;

            OpenFileDialog openDlg = new OpenFileDialog();
            openDlg.Filter = "All Image Files |*.bmp;*.jpg;*.jpeg;*.gif;*.tif;*.tiff;*.png;*.ico";
            openDlg.Filter += "|JPEG (*.jpg;*.jpeg)|*.jpg;*.jpeg";
            openDlg.Filter += "|GIF (*.gif)|*.gif";
            openDlg.Filter += "|PNG (*.png)|*.png";
            openDlg.Filter += "|ICO (*.ico)|*.ico;";
            openDlg.Filter += "|TIFF (*.tif;*.tiff)|*.tif;*.tiff";
            openDlg.InitialDirectory = Application.StartupPath;

            if (openDlg.ShowDialog() == DialogResult.OK)
                productImage.Text = openDlg.FileName;
        }
    }
}