'                                                                  
' Copyright  2008-2009 Lidor Systems.
' All Rights Reserved.
'
' This file is part of the "IntegralUI Lists" class Library. 
'                                                                   
' The contents of this file are subject to the IntegralUI ListBox
' License, and may not be used except in compliance with the License.
' A copy of the License should have been installed in the product's
' root installation directory or it can be found at
' http://www.lidorsystems.com/products/IntegralUI/agreement_listbox.aspx.
'                                                             
' This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND.
' either express or implied. See the License for the specific language 
' governing rights and limitations under the License.                        
'

Public Class ProductForm
    Private _product As ProductObject = Nothing
    Friend ReadOnly Property Product() As ProductObject
        Get
            Return _product
        End Get
    End Property

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub btnOk_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnOk.Click
        _product = New ProductObject()
        _product.Name = productName.Text
        If Not [String].IsNullOrEmpty(productImage.Text) Then
            _product.ImageFile = productImage.Text
        End If
        If Not [String].Equals(oldPrice.Text, "0000") Then
            _product.OldPrice = Convert.ToDouble(oldPrice.Text)
        End If
        If Not [String].Equals(newPrice.Text, "0000") Then
            _product.CurrentPrice = Convert.ToDouble(newPrice.Text)
        End If
        _product.Rating = Convert.ToInt32(rating.Value)
        _product.Info = productInfo.Text

        Me.DialogResult = Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub btnBrowse_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnBrowse.Click
        productImage.Text = [String].Empty

        Dim openDlg As New OpenFileDialog()
        openDlg.Filter = "All Image Files |*.bmp;*.jpg;*.jpeg;*.gif;*.tif;*.tiff;*.png;*.ico"
        openDlg.Filter += "|JPEG (*.jpg;*.jpeg)|*.jpg;*.jpeg"
        openDlg.Filter += "|GIF (*.gif)|*.gif"
        openDlg.Filter += "|PNG (*.png)|*.png"
        openDlg.Filter += "|ICO (*.ico)|*.ico;"
        openDlg.Filter += "|TIFF (*.tif;*.tiff)|*.tif;*.tiff"
        openDlg.InitialDirectory = Application.StartupPath

        If openDlg.ShowDialog() = Windows.Forms.DialogResult.OK Then
            productImage.Text = openDlg.FileName
        End If
    End Sub
End Class